com.smartgwt.client.widgets.cube.events

## Class FacetValueSelectionChangedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<FacetValueSelectionChangedHandler>
        - - com.smartgwt.client.widgets.cube.events.FacetValueSelectionChangedEvent

-     public class FacetValueSelectionChangedEvent
      extends BrowserEvent<FacetValueSelectionChangedHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetValueSelectionChangedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FacetValueSelectionChangedHandler handler)`
    `static <S extends HasFacetValueSelectionChangedHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<FacetValueSelectionChangedHandler>` | `getAssociatedType()`
    `FacetValueMap` | `getFacetValues()` facetValues with new selection state
    `boolean` | `getNewState()` new selection state
    `static com.google.gwt.event.shared.GwtEvent.Type<FacetValueSelectionChangedHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetValueSelectionChangedEvent

          public FacetValueSelectionChangedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasFacetValueSelectionChangedHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                             com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<FacetValueSelectionChangedHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(FacetValueSelectionChangedHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<FacetValueSelectionChangedHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<FacetValueSelectionChangedHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<FacetValueSelectionChangedHandler>`

    - #### getFacetValues

          public FacetValueMap getFacetValues()

      facetValues with new selection state
      Returns:
        facetValues with new selection state

    - #### getNewState

          public boolean getNewState()

      new selection state
      Returns:
        new selection state